# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

Name:		perl-Devel-Symdump
Epoch:		1
Version:	2.08
Release:	8.%{__distinit}%{__distvers}
Summary:	Perl module for inspecting Perl's symbol table
Group:		Development/Libraries
License:	GPL+ or Artistic
Url:		http://search.cpan.org/dist/Devel-Symdump/
Source0:	http://search.cpan.org/CPAN/authors/id/A/AN/ANDK/Devel-Symdump-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(Carp)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod)
# Test::Pod::Coverage -> Pod::Coverage -> Devel::Symdump
%if 0%{!?perl_bootstrap:1}
BuildRequires:	perl(Test::Pod::Coverage)
%endif
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
The perl module Devel::Symdump provides a convenient way to inspect
perl's symbol table and the class hierarchy within a running program.

%prep
%setup -q -n Devel-Symdump-%{version} 

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} ';' 2>/dev/null
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog README
%{perl_vendorlib}/Devel/
%{_mandir}/man3/Devel::Symdump.3pm*

%changelog
* Tue Jan 24 2012 Paul Howarth <paul@city-fan.org> 1:2.08-8
- OK to use Test::Pod even if we're bootstrapping
- Use %%{_fixperms} macro rather than our own chmod incantation
- BR: perl(Carp) and perl(Exporter)

* Fri Jun 24 2011 Paul Howarth <paul@city-fan.org> 1:2.08-7
- Rebuild for perl 5.14.1 in Rawhide
- BR: perl(ExtUtils::MakeMaker) and perl(Test::More)
- Don't buildreq Test::Pod or Test::Pod::Coverage if we're bootstrapping
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> 1:2.08-3
- Rebuild for perl 5.12.1 in Rawhide

* Fri May  7 2010 Paul Howarth <paul@city-fan.org> 1:2.08-2
- Fix dist tag to work with RHEL6 Beta

* Fri Jan 22 2010 Paul Howarth <paul@city-fan.org> 1:2.08-1
- Bump epoch to 1 as per Fedora package
- Dist tag for Rawhide no longer needs special-casing

* Wed Sep  9 2009 Paul Howarth <paul@city-fan.org> 2.08-3
- Define RPM macros in global scope

* Fri Nov 14 2008 Paul Howarth <paul@city-fan.org> 2.08-2
- Tweak dist tag macros to work on current Rawhide with three-part releasenum

* Thu Oct 11 2007 Paul Howarth <paul@city-fan.org> 2.08-1
- Update to 2.08
- Fix dist tag for Fedora 7 onwards
- Clarify license as GPL (version 1 or later), or Artistic (i.e. same as perl)
- Add buildreqs perl(Test::Pod), perl(Test::Pod::Coverage)

* Fri Jan  5 2007 Paul Howarth <paul@city-fan.org> 2.07-1
- Update to 2.07

* Mon Oct  9 2006 Paul Howarth <paul@city-fan.org> 2.0604-1
- Update to 2.0604

* Thu Sep 21 2006 Paul Howarth <paul@city-fan.org> 2.0603-1
- Update to 2.0603
- Fix argument order for find with -depth
- Fix dist tag for development builds

* Fri Jul 21 2006 Paul Howarth <paul@city-fan.org> 2.0602-1
- Update to 2.0602
- Define %%{__id_u} in a more portable way
- Build on CentOS or Whitebox as per RHEL

* Wed Jan 19 2006 Paul Howarth <paul@city-fan.org> - 2.06-1
- Update to 2.06
- Use search.cpan.org URL for source

* Tue Jan  3 2006 Paul Howarth <paul@city-fan.org> - 2.05-1
- Update to 2.05

* Sat Dec 31 2005 Paul Howarth <paul@city-fan.org> - 2.04-1
- Update to 2.04
- Simplify distribution-detection
- Remove unused __perl_version macro
- Unconditionally remove buildroot in %%clean and %%install
- Don't use macros in build-time command paths, hardcode them instead

* Thu Aug 25 2005 Paul Howarth <paul@city-fan.org> - 2.03-21
- Import from Fedora Core for use with RHEL

* Wed Apr 20 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 2.03-20
- (#155463)
- BuildArch correction (noarch).
- Bring up to date with current Fedora.Extras perl spec template.

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 11 2004 Chip Turner <cturner@redhat.com> 2.03-18
- fix typo, bugzilla 122905

* Thu Jun 05 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Tue Jun  4 2002 Chip Turner <cturner@redhat.com>
- properly claim directories owned by package so they are removed when package is removed

* Sat Jan 26 2002 Tim Powers <timp@redhat.com>
- added provides

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Apr 30 2001 Chip Turner <cturner@redhat.com>
- Spec file was autogenerated. 
